very interesting!, could teach how to do this with php?
and show some code?
Posts
-
RE: Statistics on plugin users
-
RE: V-Ray 2.0 is HERE!!!!
if I want to Vray in only one computer, I am forced to buy the dongle?
-
RE: Fit_plane_to_points problem
I did not understand point.offset, with this example I understand a little more, thank you very much Thom, very interesting this
-
RE: Fit_plane_to_points problem
I thought of a way to put the plane in the format [point, vector], at some point it might be useful to someone
p1 = Geom;;Point3d.new 1,1,1 p2 = Geom;;Point3d.new 2,1,1 p3 = Geom;;Point3d.new 1,2,1 p4 = Geom;;Point3d.new 1,2,0 pl = Geom.fit_plane_to_points p1, p2, p3, p4 tolerance = 0.0001 if pl[2].abs > tolerance point = Geom;;Point3d.new(0,0,-pl[3]/ pl[2]) elsif pl[1].abs > tolerance point = Geom;;Point3d.new(0,-pl[3]/ pl[1],0) else point = Geom;;Point3d.new(-pl[3]/ pl[0],0,0) end vector = Geom;;Vector3d.new(pl[0],pl[1],pl[2]) plane = [point,vector]
-
RE: Fit_plane_to_points problem
thank you very much Dan, is exactly what I needed
thank jolran, that's not my next step, but I thank you, I had not seen the command project_to_plane
-
Fit_plane_to_points problem
Hi guys, I'm trying to adjust hundreds of points to a plane, my problem is that I do not understand the output format fit_plane_to_points, I expected a Point3d and Vector3D, but it seems I get different, I do not know how to interpret the result, appreciate the help in advance
point1 = Geom::Point3d.new 0,0,0 point2 = Geom::Point3d.new 1,2,3 point3 = Geom::Point3d.new 5,5,5 plane = Geom.fit_plane_to_points point1, point2, point3 plane.size
-
RE: What does SketchUp 2013 do for developers?
In my opinion there are several things that are doing well in Trimble
But I see a couple of errors:-
when opening sketchup 8 will not get a notice to upgrade to 2013 version (because of this, they will lose millions of users)
-
in "Sketchup 2013 free" entities transformations performed more slowly than "Sketchup 2013 pro" and "Sketchup 8". These things are really serious errors
(google translator)
-
-
RE: Game running half the speed in SU 2013 vs SU 8
How is configured by default "Sketchup 2013"?
I've noticed that changing this setting has strong effects on plugins that provide some kind of animation.
In Sketchup 8 an option that works best for me, is as followsI do not know how it is in 2013
(google translate)
-
Remove layer
hi, I ask how I can remove a layer from ruby, I could not find a way to do this,
thanks in advance -
RE: Vray 1.6 open beta
I see that lens effects have been added, thank you very much for adding this!
-
RE: Add_polygon seems very slow
thank you very much for the replies dan and Thomthom, I'll take a look at the code Thomthom experimental, to see if I can use some of this code
(google translator)
-
RE: Add_polygon seems very slow
Thanks for the tips Thom, this will be very useful at some time
I have a question, how can get the vertices of this surface?
-
RE: Add_polygon seems very slow
!woooow this reduces the time to less than one-third!
thank you very much Daniel!
-
RE: Need testers for my Ruby Code Editor
this console is wonderful that good to continue to improve
for now I just watch a possible error in the syntax highlighting when I write something like this;n = 100 periodos = 20 c = Math;;PI*periodos/n ve=[]; ve_inv=[]; vectors=[]; vec_invert=[] for j in 0..n Math.sin(c*j) end
(google translator)
-
Add_polygon seems very slow
Hi guys, I want to ask if there is something faster than add_polygon, I see much difference when I commented the lines 15 and 16. with this pair of lines becomes 130 times slower!
seems that the command "add_poligon" does something very complicated or is very inefficient or I'm using it in the wrong way
in the following code I make a rectangle subdivided;t = Time.now lados_x = 100 lados_y = 100 mesh = Geom;;PolygonMesh.new((lados_x+1)*(lados_y+1),lados_x*lados_y) l1 = [] for i in 0..lados_x l1[i] = Geom;;Point3d.new(i,0,0) end l2 = [] for j in 1..lados_y for k in 0..lados_x l2[k] = Geom;;Point3d.new(k,j,0) end for i in 0..lados_x-1 #mesh.add_polygon l1[i], l1[i+1], l2[i+1] #mesh.add_polygon l1[i], l2[i+1], l2[i] end l1 = l2.clone end =begin ent=Sketchup.active_model.active_entities grupo = ent.add_group entities = grupo.entities entities.fill_from_mesh mesh, true, 0 =end Time.now-t
Does anyone have any suggestions?
(google translator)